<ion-header>
  <ion-toolbar>
        <ion-buttons slot="start" [hidden]="fromCartNav">
            <ion-button color="light" (click)="goBack()">
                <ion-icon src="assets/icon/ico-back.svg" slot="icon-only"></ion-icon>
            </ion-button>
        </ion-buttons>

        <ion-buttons slot="end">
            <ion-button color="light">
                <img src="../assets/imgs/logo.svg" class="logomain" />
            </ion-button>
        </ion-buttons>
  </ion-toolbar>
</ion-header>
	
<ion-content padding>
	<div class="titulo">
		{{titulo}}
	</div>		
	<div class="vertical-center" [hidden] = "sinTarjetas === false">
        <div class="center">
          <ion-img src="https://firebasestorage.googleapis.com/v0/b/plazapp-test/o/no-card.svg?alt=media&token=709d4615-0a82-44b7-9c2b-1b0e79646524" class="ion-align-self-end" style="width: 150px;"></ion-img>
        </div>   
	</div>
	<br/>
	<!-- <div class="tarjeta" [hidden] = "sinTarjetas === false">
		<img src="https://firebasestorage.googleapis.com/v0/b/plazapp-test/o/no-card.svg?alt=media&token=709d4615-0a82-44b7-9c2b-1b0e79646524">
	</div> -->
	<!-- <div class="t_opcion">
		<p style="color: gray;text-align: center;">Para eliminar debes deslizar la tarjeta hacia la izquierda.</p>
	</div> -->
	<div class="tarjetas">
		<ion-list class="tarjeta" *ngFor="let item of tarjetas">
			<ion-item-sliding>
			    <ion-item>
			      <ion-icon src="{{item.icon}} {{ item.tipoTarjeta === 'VISA' ? 'assets/icon/ico-visa.svg' : item.tipoTarjeta === 'AMEX' ? 'assets/icon/ico-amex.svg' : 'assets/icon/ico-mastercard.svg' }}"></ion-icon>	
			      <!-- <ion-label>XXXX-XXXX-XXXX-{{item.ultimos}}</ion-label> -->
			      <ion-label>{{item.numeroTarjeta | slice:0:4}} {{item.numeroTarjeta | slice:-2}}XX XXXX</ion-label>
			      <ion-checkbox color="primary" [(ngModel)]="item.checked" (click)="Selection(item);"></ion-checkbox>
			    </ion-item>

			    <ion-item-options side="end">
			      <ion-item-option (click)="deleteTarjeta(item)" color="primary">Borrar</ion-item-option>
			    </ion-item-options>
			</ion-item-sliding>
      	</ion-list>
	</div>
	<div class="addtarjeta">
		<ion-button padding color="primary" (click)="goAddTarjeta()">Agregar Tarjeta <ion-icon name="add"></ion-icon></ion-button> 
		<ion-button padding color="primary" (click)="goBackT()" [hidden]="!fromCartNav">Cancelar</ion-button>
	</div>
</ion-content>
